<?
include_once(_DIR_EXT.'/HTML/c_page_XML_AJAX.php');

class c_page_ajax extends c_page_XML_AJAX
{

    // ************************************************************************************************************************************************************************
    //
    // КАРТОЧКА ТЕМЫ
    //
    // ************************************************************************************************************************************************************************

    function get_panel_theme_create()
    { //$arr_events=execSQL_row('select pkey,obj_name from obj_site_events_schedule where ext like "%poll%" and enabled=1 and status!=5') ;
      $form=new i_form() ;
      $form->form_open();
      $form->filter_section_input_text('name','Название новой темы',11,array());
      $form->button('Добавить тему','poll/theme_create_apply',['item_type'=>'theme']) ;
      $form->form_close() ;
      $this->add_element('show_modal_window','HTML',array('title'=>'Создание новой темы'));
    }

    function theme_create_apply()
    {   //damp_array($_POST);

        $data=[] ;
        $data['name']=$_POST['name'];
        if(!$data['name'])$this->add_element('show_notife','Не указано наименование темы',array('color'=>'red'));
        else
        {
            $data['parent']=1;
            $id=POLL()->section_create($data);
            if($id) echo 'Тема <strong>"'.$data['name'].'"</strong> добавлена, ID '.$id.'<br>';
           /* if (!$data['event_id'])
            { echo '<br><strong>Внимание!<br></strong>Вы не выбрали мероприятие, в рамках которого будут производиться опрос по данной теме. Вы можете сделать это позднее в карточке темы или карточке мероприятия<br>' ;
            }*/
            echo '<br><button class="button cancel">Закрыть</button>'  ;
            $this->add_element('show_modal_window','HTML',array('title'=>'Создание новой темы','after_close_update_page'=>1));


            $this->add_element('close_mBox_window',1);
            $this->add_element('show_notife','Тема добавлена',array('color'=>'green'));
        }

    }


    function get_panel_theme_delete()
    {
        $rec_theme=POLL()->get_theme_by_id($_POST['item_id']);
        ?><strong>Удаление темы контроля знаний</strong><br>
        <p>Вы действительно хотите удалить тему (раздел) "<? echo $rec_theme['obj_name'] ?>"?</p>
        <button class="button v2" cmd="poll/get_panel_theme_delete_apply" item_id="<? echo $rec_theme['pkey'] ?>">Удалить тему</button>&nbsp;&nbsp;&nbsp;
        <button class="button cancel">Отмена</button>
        <?
        $this->add_element('show_modal_window','HTML',array('title'=>'Удаление раздела'));
    }

    function get_panel_theme_delete_apply()
    {
        $result=POLL()->theme_delete($_POST['item_id']);
        damp_array($result,1,-1);
        $this->add_element('show_modal_window','HTML',array('title'=>'Удаление раздела','after_close_update_page'=>1));

    }

    // ************************************************************************************************************************************************************************
    //
    // КАРТОЧКА РАЗДЕЛА
    //
    // ************************************************************************************************************************************************************************


    function section_save()
    {   $rec=$_POST['section'];
        $section_id=$_POST['section_id'] ;
        if ($_POST['item_id']) $section_id=$_POST['item_id'] ;
        POLL()->section_save($section_id,$rec);
        $rec_sections=POLL()->get_theme_by_id($section_id) ;
        $this->add_element('show_notife','Изменения сохранены',array('color'=>'green'));
        $this->add_element('sendTreeEvent','refresh_node',['item_id'=>$rec_sections['_tree_parent_item_uid']]);
        $this->update_page=1 ;
        //else $this->add_element('show_notife','Заполните необходимые поля',array('color'=>'green'));
        //damp_array($_POST);
        //$this->add_element('show_modal_window','HTML',array('title'=>'Редактирование раздела'));
    }

    function get_panel_section_create()
    {
        $name1=($_POST['mode']=='poll')? 'опроса':'раздела' ;
        $name2=($_POST['mode']=='poll')? 'опрос':'раздел' ;
        $form=new i_form();
        $form->form_open() ;
        $form->row_open() ;
        $form->filter_section_input_text('name','Название '.$name1,11);
        $form->row_close() ;
        $form->row_open(['class'=>'center']) ;
        $form->button('Добавить '.$name2,'poll/section_create_apply',['parent_id'=> $_POST['parent_id'],'mode'=> $_POST['mode']]) ;
        $form->button('Отмена','cancel') ;
        $form->row_close() ;
        $form->form_close() ;
        $this->add_element('show_modal_window','HTML',array('title'=>'Создание '.$name1));
    }

    function section_create_apply()
    {   $name1=($_POST['mode']=='poll')? 'опроса':'раздела' ;
        $name2=($_POST['mode']=='poll')? 'Опрос':'Раздел' ;

        if($_POST['name'] and $_POST['parent_id'])
        {   $rec_parent_section=POLL()->get_theme_by_id($_POST['parent_id']) ;
            $id=POLL()->section_create($rec_parent_section['pkey'],['name'=>$_POST['name']]);
            if($id) echo $name2.' добавлен, ID '.$id.'<br>';

            $this->add_element('close_mBox_window',1);
            $this->add_element('show_notife',$name2.' добавлен',array('color'=>'green'));

            //$this->go_url='/frame/poll/theme/card/'.$rec_parent_section['pkey'].'/sections/' ;

            $this->add_element('sendTreeEvent','refresh_node',['item_id'=>$rec_parent_section['_tree_item_uid']]);


        }
        else $this->add_element('show_notife','Заполните необходимые поля',array('type'=>'info'));
        //$this->add_element('show_modal_window','HTML',array('title'=>'Создание раздела'));
    }


    function get_panel_section_delete()
    {   //damp_array($_POST,1,-1) ;
        $alerts=array();
        $blocks=array();

        if(!_sizeof($_POST['_check']))
        {
            $this->add_element('show_notife','Нет выбранных разделов',array('color'=>'red'));
            return;
        }
        $checked_ids=implode(',',$_POST['_check']);


        // перед удалением раздела предупреждаем во содержимом раздела


        $tikets_ids=execSQL_line('select pkey from poll_questions where parent in ('.$checked_ids.')');
        if(_sizeof($tikets_ids)) $alerts[]='В выбранных разделах имеется <strong>'._sizeof($tikets_ids).'</strong> '.get_case_by_count_1_2_5(_sizeof($tikets_ids),['вопрос','вопроса','вопросов']);
        // проверяем, есть ли мероприятия, в котором УЖЕ были заданы вопросы из данного раздела. Если такие мероприятия есть - удаление не делаем
        if(_sizeof($alerts))
        {
            echo '<strong>ВНИМАНИЕ!</strong><br>'.implode('<br>',$alerts).'<br>';;
        }
        echo 'Пожалуйста, подтвердите удаление<br><br>';
        ?>
        <div class="center">
        <button class="button v2" cmd="poll/section_delete_apply" theme_id=<?echo $_POST['theme_id']?> item_ids="<? echo $checked_ids ?>">Удалить</button>&nbsp;&nbsp;&nbsp;
        <button class="button cancel">Отмена</button></div><?

        $this->add_element('show_modal_window','HTML',array('title'=>'Удаление разделов'));
    }

    function section_delete_apply()
    {
        $this->add_element('close_mBox_window',1);
        ob_start();
        //damp_array($_POST,1,-1);
        // удаляем дочерние объекты - вопросы ответы вопросы

        $tikets_ids=execSQL_line('select pkey from poll_questions where parent in ('.$_POST['item_ids'].')');
        if(_sizeof($tikets_ids))
        {
            $cnt=execSQL_update('delete from poll_answers where question_id in ('.implode(',',$tikets_ids).')');
            echo 'Удалено: <strong>'.$cnt.'</strong> ',get_case_by_count_1_2_5($cnt,['ответ','ответа','ответов']).'<br>';
            $cnt=execSQL_update('delete from poll_content where question_id in ('.implode(',',$tikets_ids).')');
            echo 'Удалено: <strong>'.$cnt.'</strong> ',get_case_by_count_1_2_5($cnt,['изображение','изображения','изображений']).'<br>';
            $cnt=execSQL_update('delete from poll_questions where pkey in ('.implode(',',$tikets_ids).')');
            echo 'Удалено: <strong>'.$cnt.'</strong> ',get_case_by_count_1_2_5($cnt,['вопрос','вопроса','вопросов']).'<br>';
        }
        $cnt=execSQL_update('delete from poll_themes where pkey in ('.$_POST['item_ids'].')');
        echo 'Удалено <strong>'.$cnt.'</strong> ',get_case_by_count_1_2_5($cnt,['раздел','раздела','разделов']).'<br>';
        ?><br>
        <div class="center">
            <button class="cancel">Закрыть</button>
        </div><?
        $text=ob_get_clean();
        echo $text;
        $this->add_element('show_modal_window','HTML',array('title'=>'Удаление раздела','after_close_update_page'=>1));
    }


    function get_panel_section_move()
       {   if ($_POST['section_id']) $_POST['_check'][]=$_POST['section_id'] ;
           if(!_sizeof($_POST['_check']))
           {
               $this->add_element('show_notife','Нет выбранных разделов',array('color'=>'red'));
               return;
           }
           $checked_ids=implode(',',$_POST['_check']);

           //print_2x_arr($recs_sections);
           $form=new i_form();
           $form->form_open();
           $form->fieldset_open();
           $form->row_open();
           $recs_sections=POLL()->get_arr_groups_select_options() ;
           $form->filter_section_select('target_section_id','Переместить выбранные разделы в тему',0,$recs_sections);
           $form->row_close();

           ?>
           <div class="center">
           <button class="button v2" cmd="poll/section_move_apply" ids="<? echo $checked_ids ?>" target_section_id="<?echo $cur_theme_id?>">Переместить</button>&nbsp;&nbsp;&nbsp;
           <button class="button cancel">Отмена</button></div><?
           $form->fieldset_close();
           $form->form_close();

           $this->add_element('show_modal_window','HTML',array('title'=>'Перемещение разделов','width'=>'600px'));
       }

       function section_move_apply()
       {
           $this->add_element('close_mBox_window',1);
           if(!$_POST['target_section_id'])
           {
               $this->add_element('show_notife','Не выбрана тема для перемещения раздела',array('color'=>'red'));
               return;
           }

           ob_start();
           $arr_ids=explode(',',$_POST['ids']);
           $rec_section=POLL()->get_theme_by_id($_POST['target_section_id']);
           echo 'Тема: <strong>'.$rec_section['obj_name'].'</strong> [ID '.$rec_section['pkey'].']<br>';
           if(_sizeof($arr_ids)) foreach($arr_ids as $id)
           {   // удаляем дочерние объекты - вопросы ответы вопросы
               echo 'Перемещаем раздел ID <strong>'.$id.'</strong> в тему "'.$rec_section['obj_name'].'" - <span class="green">OK</span><br>';
               // обновляем данные в разделе
               $data=['parent'=>$rec_section['pkey']] ;
               TREE('view_poll_tree')->full_parent_levels_to_rec($data);
               update_rec_in_table('poll_tree',$data,'pkey='.$id) ;
               // обновляем данные во всех дочерних разделах и вопросах
               TREE('view_poll_tree')->update_levels_parents('',['from_id'=>$rec_section['pkey']]);
           }
           $text=ob_get_clean();
           echo $text;
           ?><br>
           <div class="center">
               <button class="cancel">Закрыть</button>
           </div><?
           $this->add_element('show_modal_window','HTML',array('title'=>'Перемещение разделов','after_close_update_page'=>1));
           LOGS()->reg_log('POLL',$text,array('reffers'=>[$rec_section['_reffer']]));
       }



    // ************************************************************************************************************************************************************************
    //
    // КАРТОЧКА ВОПРОСА
    //
    // ************************************************************************************************************************************************************************


    function tiket_save()
    {
        $result=POLL()->tiket_save($_POST['tiket_id'],$_POST['question'],$_POST['answer'],$_POST['contents'],$_POST['upload_files']);
        if($result['success'])
        {
            ?>
            <div class="center">
                <strong>Вопрос успешно сохранен</strong> <br> <br>
                <button class="cancel">Закрыть</button>
            </div>
            <?
            $this->update_page=1 ;
            $this->add_element('show_notife','Сохранено',array('color'=>'green'));
        }
        else
        {
            ?>
            <div class="alert">Вопрос не сохранен!</div>
            <div class="left"><? echo $result['error'] ?></div>
            <div class="center">
                <button class="cancel">Закрыть</button>
            </div>
            <?
            $this->add_element('show_modal_window','HTML',array('title'=>'Сохранение вопроса'));
        }

    }

    function tiket_create()
    {
        $result=POLL()->tiket_create($_POST['parent_id'],$_POST['question'],$_POST['answer'],$_POST['upload_files']);

        if($result['success'])
        {  // считаем сколько вопросов всего есть в parent_id
           $rec_tiket=POLL()->get_tiket_by_id($result['tiket_id']) ;
           $cnt_childs=TREE('view_poll_tree')->get_child_cnt($_POST['parent_id']) ;
           $page_url=str_replace('new_question/','',$_SERVER['HTTP_REFERER']) ;
           ?>
            <div class="center">
                <strong>Вопрос успешно добавлен</strong>, всего <?echo $cnt_childs[573].' '.get_case_by_count_1_2_5($cnt_childs[573],'вопрос,вопроса,вопросов')?> <br><br>
                <button class="v1" href="<?echo $page_url?>questions/">Вернуться к списку вопросов</button>
                <button class="v1" href="<?echo $page_url?>new_question/">Добавить еще один вопрос</button>
            </div>
            <?
            $this->add_element('sendTreeEvent','refresh_node',['item_id'=>$rec_tiket['_tree_parent_item_uid']]);
        }
        else
        {
            ?>
            <div class="alert">Вопрос не добавлен!</div>
            <div class="left"><? echo $result['error'] ?></div>
            <div class="center"><button class="cancel">Закрыть</button></div>
            <?
        }

        $this->add_element('show_modal_window','HTML',array('title'=>'Добавление вопроса'));
    }

    function get_panel_tiket_delete()
    {
        $alerts=array();
        $blocks=array();
        if(!_sizeof($_POST['_check']))
        {
            $this->add_element('show_notife','Нет выбранных вопросов',array('color'=>'red'));
            return;
        }
        $cur_theme_id=$_POST['theme_id'];
        $cur_section_id=$_POST['section_id'];
        $checked_ids=implode(',',$_POST['_check']);
        // перед удалением раздела предупреждаем во содержимом вопроса
        // проверяем, есть ли мероприятия, в котором УЖЕ были заданы вопросы из данного раздела. Если такие мероприятия есть - удаление не делаем
        $cnt_opros=execSQL_value('select count(pkey) from poll_result where question_id in ('.$checked_ids.')');
        if($cnt_opros) $alerts[]='В данном разделе имеются вопросы, которые уже были заданы в ходе опроса';

            if(_sizeof($alerts)) echo '<strong>ВНИМАНИЕ!</strong><br>'.implode('<br>',$alerts).'<br>';;
            echo 'Пожалуйста, подтвердите удаление вопросов ID: <strong>'.$checked_ids.'</strong><br><br>';
            ?>
            <div class="center">
            <button class="button v2" cmd="poll/tiket_delete_apply" ids="<? echo $checked_ids ?>" cur_section_id="<? echo $cur_section_id ?>" cur_theme_id="<? echo $cur_theme_id ?>">Удалить
            </button>&nbsp;&nbsp;&nbsp;<button class="button cancel">Отмена</button></div><?


        $this->add_element('show_modal_window','HTML',array('title'=>'Удаление вопроса'));
    }

    function tiket_delete_apply()
    {
        $this->add_element('close_mBox_window',1);

        POLL()->tiket_delete($_POST['cur_theme_id'],$_POST['cur_section_id'],$_POST['ids']) ;

        ?><br>
        <div class="center">
            <button class="cancel">Закрыть</button>
        </div><?
        $this->add_element('show_modal_window','HTML',array('title'=>'Удаление вопроса','after_close_update_page'=>1));


    }

    function tiket_append_question()
    {
        POLL()->answers_create($_POST['tiket_id'],array()) ;
        $this->add_element('show_notife','Ответ добавлен',array('color'=>'green'));
        $this->update_page=1 ;


    }

    // ************************************************************************************************************************************************************************
    //
    // НЕРАЗОБРАНО
    //
    // ************************************************************************************************************************************************************************

    function check_themes()
    {
        TREE('poll_themes')->update_levels_parents(1);
        //$this->add_element('show_notice','Проверка завершена, структура ссылок корректна');
        $this->add_element('show_modal_window','HTML',array('title'=>'Создание вопроса','_after_close_update_page'=>1));
    }

    function get_panel_theme_export()
    {   //damp_array($_POST);
        $arr_themes=[] ;
        if (_sizeof($_POST['_check'])) $arr_themes=$_POST['_check'] ;
        if ($_POST['id']) $arr_themes[]=$_POST['id'] ;
        if (!_sizeof($arr_themes)) {$this->add_element('show_notice','Не выбраны темы для экспорта',['color'=>'red']); return ; }

        foreach($arr_themes as $theme_id)
        {
            $result=POLL()->theme_export($theme_id);
            if (_sizeof($arr_themes)==1) damp_array($result,1,-1);
            if($result['Файл экпорта']) echo 'Скачать файл: <a href="/services/get_file/?temp_fname='.$result['Файл экпорта'].'">'.$result['Файл экпорта'].'</a><br>';

        }
        ?><div class="panel_buttons"><button class="button cancel">Закрыть</button></div><?
        $this->add_element('show_modal_window','HTML',array('title'=>'Экспорт темы контроля знаний','_after_close_update_page'=>1));
    }

    function get_panel_theme_import()
    {
        ob_start();
        ?>
        <form><?
        include(_DIR_EXT.'/upload_files/panel_upload_files.php');
        panel_upload_files(array('text'=>'Перетяните и отпустите сюда<br>файл JSON','file_filter'=>'json','style_panel'=>'margin:0;','SendFormOnUploadSuccess'=>1));
        ?><input type=submit id=theme_import_apply class="v2" cmd="poll/theme_import_apply" value="Импортировать файл" style="display:none;">
        </form><?
        $text=ob_get_clean();
        $this->add_element('panel_filter.HTML',$text);
        //$this->add_element('show_modal_window','HTML',array('title'=>'Создание вопроса','_after_close_update_page'=>1)) ;

    }

    function theme_import_apply()
    {
        ob_start();
        include(_DIR_TO_MODULES.'/engine/i_backgroup_process.php');
        $back_process=new i_backgroup_process('/services/poll/import_from_json/',array('json_fname'=>$_POST['upload_files'][0]));
        $back_process->panel_background_process();
        $text=ob_get_clean();
        $this->add_element('panel_filter.HTML',$text);
    }





    // добавление нового вопроса, показываем модальное окно с вопросом что дальше делать
    function get_panel_tiket_move()
    {
        if(!_sizeof($_POST['_check']))
        {
            $this->add_element('show_notife','Нет выбранных вопросов',array('color'=>'red'));
            return;
        }
        $checked_ids=implode(',',$_POST['_check']);
        $cur_section_id=$_POST['section_id'];
        $cur_theme_id=$_POST['theme_id'];

        $form=new i_form();
        $form->form_open();
        $form->fieldset_open();
        $form->row_open();
        $recs_sections=POLL()->get_arr_groups_select_options() ;
        $form->filter_section_select('section_id','Переместить выбранные вопросы в раздел',11,$recs_sections);
        $form->row_close();

        ?>
        <div class="center">
        <button class="button v2" cmd="poll/tiket_move_apply" ids="<? echo $checked_ids ?>"
                cur_section_id="<? echo $cur_section_id ?>" cur_theme_id="<? echo $cur_theme_id ?>">Переместить
        </button>&nbsp;&nbsp;&nbsp;<button class="button cancel">Отмена</button></div><?
        $form->fieldset_close();
        $form->form_close();

        $this->add_element('show_modal_window','HTML',array('title'=>'Перемещение вопроса','width'=>'600px'));
    }

    function tiket_move_apply()
    {
        $this->add_element('close_mBox_window',1);
        if(!$_POST['section_id'])
        {
            $this->add_element('show_notife','Не выбрана тема для перемещения вопроса',array('color'=>'red'));
            return;
        }

        ob_start();
        $arr_ids=explode(',',$_POST['ids']);
        $rec_section=POLL()->get_theme_by_id($_POST['section_id']);
        if(_sizeof($arr_ids)) foreach($arr_ids as $id)
        {   // удаляем дочерние объекты - вопросы ответы вопросы
            echo 'Перемещаем вопрос ID <strong>'.$id.'</strong> в раздел "'.$rec_section['obj_name'].'" - <span class="green">OK</span><br>';
            $data=['parent'=>$rec_section['pkey']] ;
            TREE('view_poll_tree')->full_parent_levels_to_rec($data);
            update_rec_in_table('poll_tree',$data,'pkey='.$id) ;
            // обновляем данные во всех дочерних разделах и вопросах
            //TREE('poll_tree')->update_levels_parents('',['from_id'=>$rec_section['pkey']]);
        }
        $text=ob_get_clean();
        echo $text;
        ?><br>
        <div class="center">
            <button class="cancel">Закрыть</button>
        </div><?
        TREE('poll_tree')->update_levels_parents();
        $this->add_element('show_modal_window','HTML',array('title'=>'Перемещение вопросов','after_close_update_page'=>1));
        LOGS()->reg_log('POLL',$text,array('reffers'=>[$rec_section['_reffer']]));

    }


    function get_themes_collections_item()
    {
        $this->add_element('panel_poll_buttons.HTML','<button class="button v2" cmd="poll/import_theme_from_collection" theme_id="'.$_POST['item_id'].'">Загрузить тему в "ЭСМО Опрос"</button>
                                                         <!--<button class="v2" cmd="poll/export_theme_from_collection" theme_id="'.$_POST['item_id'].'">Выгрузить тему в файл</button>-->
                                                        <br>');
    }

    function import_theme_from_collection()
    {
        ob_start();
        if($_POST['theme_id'])
        {
            $files=get_files_list(_DIR_EXT.'/poll/collections/');
            // текст в ID не проходит, передаем индекс файла
            //$fname=_DIR_EXT.'/poll/collections/'.$_POST['theme_id'].'.json' ;
            $fname=$files[$_POST['theme_id']-1]; // _DIR_EXT.'/poll/collections/'.$_POST['theme_id'].'.json' ;
            if(file_exists($fname))
            {
                include(_DIR_TO_MODULES.'/engine/i_backgroup_process.php');
                $back_process=new i_backgroup_process('/services/poll/import_from_json/',array('json_fname'=>hide_server_dir($fname)));
                $back_process->panel_background_process();
            }
            else echo '<div class=red>Не найден файл темы '.hide_server_dir($fname).'</div>';
        }
        $text=ob_get_clean();
        $this->add_element('panel_export.HTML',$text);
    }

  function tiket_check()
   {   $str_ids='' ;
       if ($_POST['section_id'])
       {
            $arr_ids=execSQL_line('select pkey from view_poll_questions where parent='.$_POST['section_id']) ;
            $str_ids=implode(',',$arr_ids) ;
	   }
       else if ($_POST['tiket_id']) $str_ids=$_POST['tiket_id'] ;

       if ($str_ids)
       {   $this->add_element('show_notice','Будет выполнен тест вопросов: '.$str_ids,['color'=>'green']);
           $rec_session=array('mo_id'   => 0,
                                 'terminal_id'   =>0,
                                 'terminal_pkey' =>0,
                                    'personal_id'   =>0,
                                    'group_id'      =>0,
                                    'reader'        =>'check',
                                    'pass_id'       =>0,
                                    'quiestion_ids' =>$str_ids
                                      );

            $session_id=POLL()->open_poll_session($rec_session,array('debug'=>1)) ; // id записи по проведению КЗ ;
            //echo '<strong>Открываем сессию опроса</strong>, ID='.$session_id.'<br>' ;
            //damp_array($rec_session,1,-1); echo '<br>' ;

            $page_url=_PATH_TO_SITE.'/services/poll/session/'.$session_id.'/' ;
            //echo $page_url ;
            $this->add_element('show_new_window',$page_url,['width'=>1100,'height'=>700]);
       }
       else
       {
         $this->add_element('show_notice','Нет вопросов для теста',['color'=>'red']);
	   }
   }

   function exec_poll()
   {

     //damp_array($_POST);
     $session=[] ;
     $session['personal_id']=$_POST['personal_id'] ;
     $session['debug']=1 ;
     $result=[] ;
     EVENTS()->on_event_server_check_access_success($session,$result) ;
     damp_array($session,1,-1);
     damp_array($result,1,-1);
     $this->add_element('show_modal_window','HTML',array('title'=>'exec_poll','after_close_update_page'=>1,'width'=>'1200px'));
   }


   function get_questions()
   { ob_start() ;
   //damp_array($_POST);
     $arr_question_ids=execSQL_line('select pkey from view_poll_questions where parent='.$_POST['answer_id'],0) ;
     execSQL_update('update poll_questions set is_second=1 where parent='.$_POST['answer_id']) ;

     include_once('i_poll_questions_panel.php') ;
     $panel=new i_poll_questions_panel($arr_question_ids) ;
     $panel->panel_questions(['hide'=>1]);

     $text=ob_get_clean() ;
     $this->add_element('content.APPEND',$text);

   }


}
